#include <lib/std.mi>

Global Group iMe;
Global Button eqButton;
Global Layer volLayer;
Global Map volMap;
Global Boolean eqbool;

System.onScriptLoaded() {
  iMe = getScriptGroup();
  volLayer = iMe.getObject("bottom.Volume.l");

  eqButton = iMe.getObject("eqb.g");

  volMap = new map;
  volMap.loadMap("b.v.m");

  eqbool = 0;

  System.onVolumeChanged(getVolume());
}

System.onVolumeChanged(int newvol) {
  volLayer.setRegionFromMap(volMap,newvol,1);
}

eqButton.onLeftButtonUp(int x, int y) {
  if(eqbool == 0) {
    iMe.setTargetY(50);
  } else {
    iMe.setTargetY(0);
  }
  iMe.setTargetSpeed(1);
  iMe.gotoTarget();
  eqbool = !eqbool;
}