#include <lib/std.mi>
#include <lib/config.mi>

Function onNext();

Global ConfigItem myCI;
Global ConfigAttribute myAtrib;

Global Group iMe;
Global AnimatedLayer flameAnim;
Global Int cnt;
Global String last_autotitle;

System.onScriptLoaded() {  
  myCI = Config.getItemByGuid("{1828D28F-78DD-4647-8532-EBA504B8FC04}");
  myAtrib = myCI.getAttribute("Fire Animation");

  iMe = getScriptGroup();
  flameAnim = iMe.getObject("fire.anim");
  flameAnim.hide();
}

System.onTitleChange(String newtitle) {
  if (last_autotitle == newtitle) return;
  if (StrLeft(newtitle, 1) == "[") {
    if (StrLeft(newtitle, 7) == "[Buffer" ||
        StrLeft(newtitle, 4) == "[ICY") return;
  }
  last_autotitle = newtitle;
  onNext();
}

onNext() {
  //invokeDebugger();
  cnt = 0;
  if(myAtrib.getData() != "1") return;

  flameAnim.stop();
  flameAnim.show();
  flameAnim.gotoFrame(0);
  flameAnim.play();
}

flameAnim.onFrame(Int framenum) {
  if(cnt == 3) {
    flameAnim.hide();
    flameAnim.stop();
  }
  if(framenum == flameAnim.getEndFrame()) cnt++;
}

System.onPlay() {
  cnt = 0;
}

System.onStop() {
  onNext();
}