#include <lib/std.mi>
#include <lib/config.mi>

Global ConfigItem myCI;
Global ConfigAttribute myAtrib;

Global Group iMe, tGroup, bGroup;
Global AnimatedLayer introLayer, flameAnim;
Global Int cnt;

System.onScriptLoaded() {
  iMe = getScriptGroup();
  tGroup = iMe.getObject("gun.top");
  bGroup = iMe.getObject("bottom.mask");
  introLayer = iMe.getObject("intro.anim");

  flameAnim = iMe.getObject("fire.anim");
//  flameAnim.hide();

  myCI = Config.getItemByGuid("{1828D28F-78DD-4647-8532-EBA504B8FC04}");
  myAtrib = myCI.getAttribute("Fire Animation");

  if(getStatus() != STATUS_PLAYING) {
    tGroup.hide();
    bGroup.hide();
    introLayer.play();
  } else {
    tGroup.show();
    bGroup.show();
    introLayer.stop();
    introLayer.hide();
  }
}

introLayer.onFrame(int fnum) {
  if(fnum == introLayer.getEndFrame()) {
    introLayer.stop();
    introLayer.hide();
    tGroup.show();
    bGroup.show();
/*
    if(myAtrib.getData() == "0") return;
    flameAnim.show();
    flameAnim.gotoFrame(0);
    flameAnim.play();*/
  }
}